Bug 1278805 - After upgrade from 4.1.10-200fc22.86_64 to 4.2.3-200fc22.86_64 Wifi needs much larger signal strength to make Firefox work.
After upgrade from 4.1.10-200fc22.86_64 to 4.2.3-200fc22.86_64 Wifi needs muc...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-06 08:16 EST by Christoph van der Reijden
Modified: 2016-07-19 14:56 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:56:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Requested info file 1 of 3 (139.48 KB, application/pdf)
2015-11-09 08:52 EST, Christoph van der Reijden
no flags Details
Requested info file 2 of 3 (137.43 KB, application/pdf)
2015-11-09 08:55 EST, Christoph van der Reijden
no flags Details
Requested info file 3 of 3 (150.04 KB, application/pdf)
2015-11-09 08:56 EST, Christoph van der Reijden
no flags Details

  None (edit)
Description Christoph van der Reijden 2015-11-06 08:16:05 EST
Description of problem:
After an upgrade from 4.1.10-200fc22.86_64 to 4.2.3-200fc22.86_64 my Wifi needs an unusual large signal strength to make Firefox work: This required a <1m distance from my WLan device. Before that upgrade a distance of about 15m was fine using exactly the same hardware. 

I never had this issue before with previous Fedora versions and/or upgrades.
I do not have the issue if I use 4.1.10-200fc22.86_64 or earlier Fedora versions and/or upgrades using exactly the same hardware. So, it is not a hardware-issue. 

Unfortunately, the issue continued after ugrading to 4.2.5-201fc22.x86_64. 



Version-Release number of selected component (if applicable):


How reproducible: Always.


Steps to Reproduce:
1. Boot with Fedora 4.2.5-201fc22.x86_64 at 10m from WLan device. The Network manager shows a question mark instead of Wifi signal-strength. Firefox is not able to connect to websites.
2. Reduce the distance between PC and WLan-device to <1m. The Network manager shows bright Wifi-strength (3 bars). Firefox is able to connect to websites.
3. Reboot with Fedora 4.1.10-200fc22.x86_64 at 10m from WLan device. The Network manager shows bright Wifi-strength (3 bars). Firefox is able to connect to websites.

Actual results: The Network manager shows a question mark instead of Wifi signal-strength. Firefox is not able to connect to websites.


Expected results:The Network manager shows at least a Wifi-strength of 1 bar. Firefox is able to connect to websites.


Additional info: ifconfig wlp4s0 produced: wlp4s0: flags=4163<UP, Broadcast, Running, Multicast>   in all Fedora upgrades.
Comment 1 Jirka Klimes 2015-11-09 05:44:22 EST
You say that the behaviour changes based on the kernel you boot. So it seems like a Wi-Fi driver issue, not NetworkManager.

Would you please get more information so that kernel people can analyze the problem.

$ lspci -nn
$ sudo iw wlp4s0 scan
$ nmcli -f GENERAL d show wlp4s0
$ nmcli dev wifi
$ dmesg
Comment 2 Christoph van der Reijden 2015-11-09 08:52 EST
Created attachment 1091754 [details]
Requested info file 1 of 3
Comment 3 Christoph van der Reijden 2015-11-09 08:55 EST
Created attachment 1091755 [details]
Requested info file 2 of 3
Comment 4 Christoph van der Reijden 2015-11-09 08:56 EST
Created attachment 1091756 [details]
Requested info file 3 of 3
Comment 5 Christoph van der Reijden 2015-11-09 09:00:02 EST
Hi Jirka Klimes!
I uploaded three PDF's with the info you requested. 
Please let me know if you need further info.

Christoph van der Reijden
Comment 6 Christoph van der Reijden 2015-12-21 09:17:30 EST
The issue continues in Fedora 23 on the same hardware as reported as I found out by booting  Fedora-Live-Workstation_x86_64-23-10 from DVD. The issue is probably related to the driver of the Atheros AR9281 Wireless Networkadapter [168c:002a]  :ath9k.
Is there a way to (temporarily) solve this issue?
Comment 7 Christoph van der Reijden 2016-01-26 10:27:25 EST
Hello Jirka Klimes,

On the 9th of November I gave you all the info you requested.
Up till now no further steps from your side were taken that were visible to me. I posted the issue also on fedoraforum.org. No response from there till now.

Because of this, unfortunately, I cannot continue with Fedora. 
I removed Fedora from my computer and continued with CentOS-7, well known to you.
If there is a solution to the Wifi-issue, please let me know. Thanks!
Comment 8 Fedora End Of Life 2016-07-19 14:56:14 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.